
package com.hack23.cia.service.user.api;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.hack23.cia.service.user.api package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetUserByIdResponse_QNAME = new QName("http://user.service.cia.hack23.com/api", "getUserByIdResponse");
    private final static QName _NoSuchUser_QNAME = new QName("http://user.service.cia.hack23.com/api", "NoSuchUser");
    private final static QName _UpdateUserResponse_QNAME = new QName("http://user.service.cia.hack23.com/api", "updateUserResponse");
    private final static QName _UpdateUser_QNAME = new QName("http://user.service.cia.hack23.com/api", "updateUser");
    private final static QName _DeleteUserById_QNAME = new QName("http://user.service.cia.hack23.com/api", "deleteUserById");
    private final static QName _GetUserById_QNAME = new QName("http://user.service.cia.hack23.com/api", "getUserById");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.hack23.cia.service.user.api
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link UpdateUserResponse }
     * 
     */
    public UpdateUserResponse createUpdateUserResponse() {
        return new UpdateUserResponse();
    }

    /**
     * Create an instance of {@link NoSuchUser }
     * 
     */
    public NoSuchUser createNoSuchUser() {
        return new NoSuchUser();
    }

    /**
     * Create an instance of {@link UpdateUser }
     * 
     */
    public UpdateUser createUpdateUser() {
        return new UpdateUser();
    }

    /**
     * Create an instance of {@link GetUserById }
     * 
     */
    public GetUserById createGetUserById() {
        return new GetUserById();
    }

    /**
     * Create an instance of {@link DeleteUserById }
     * 
     */
    public DeleteUserById createDeleteUserById() {
        return new DeleteUserById();
    }

    /**
     * Create an instance of {@link GetUserByIdResponse }
     * 
     */
    public GetUserByIdResponse createGetUserByIdResponse() {
        return new GetUserByIdResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUserByIdResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://user.service.cia.hack23.com/api", name = "getUserByIdResponse")
    public JAXBElement<GetUserByIdResponse> createGetUserByIdResponse(GetUserByIdResponse value) {
        return new JAXBElement<GetUserByIdResponse>(_GetUserByIdResponse_QNAME, GetUserByIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NoSuchUser }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://user.service.cia.hack23.com/api", name = "NoSuchUser")
    public JAXBElement<NoSuchUser> createNoSuchUser(NoSuchUser value) {
        return new JAXBElement<NoSuchUser>(_NoSuchUser_QNAME, NoSuchUser.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateUserResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://user.service.cia.hack23.com/api", name = "updateUserResponse")
    public JAXBElement<UpdateUserResponse> createUpdateUserResponse(UpdateUserResponse value) {
        return new JAXBElement<UpdateUserResponse>(_UpdateUserResponse_QNAME, UpdateUserResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateUser }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://user.service.cia.hack23.com/api", name = "updateUser")
    public JAXBElement<UpdateUser> createUpdateUser(UpdateUser value) {
        return new JAXBElement<UpdateUser>(_UpdateUser_QNAME, UpdateUser.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteUserById }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://user.service.cia.hack23.com/api", name = "deleteUserById")
    public JAXBElement<DeleteUserById> createDeleteUserById(DeleteUserById value) {
        return new JAXBElement<DeleteUserById>(_DeleteUserById_QNAME, DeleteUserById.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUserById }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://user.service.cia.hack23.com/api", name = "getUserById")
    public JAXBElement<GetUserById> createGetUserById(GetUserById value) {
        return new JAXBElement<GetUserById>(_GetUserById_QNAME, GetUserById.class, null, value);
    }

}
